
volumes:
    uploads:
        driver: local
    logs:
        driver: local
    mysql:
        driver: local

networks:
    app_net:

services:
    mysql:
        image: mariadb:10.5
        container_name: mysql
        restart: always
        expose:
            - "3306"
        networks:
            - app_net
        volumes:
            - ./app/Database/database.sql:/docker-entrypoint-initdb.d/database.sql
            - mysql:/var/lib/mysql:rw
        environment:
            - MYSQL_ROOT_PASSWORD=pointofsale
            - MYSQL_DATABASE=ospos
            - MYSQL_USER=admin
            - MYSQL_PASSWORD=pointofsale
    ospos:
        build:
            context: .
            args:
              - USERID=${USERID}
              - GROUPID=${GROUPID}
            target: ospos_dev
        container_name: ospos_dev
        restart: always
        user: "${USERID}:${GROUPID}"
        depends_on:
          - mysql
        ports:
          - "80:80"
        networks:
          - app_net
        volumes:
          - .:/app
        environment:
          - CI_ENVIRONMENT=development
          - MYSQL_USERNAME=admin
          - MYSQL_PASSWORD=pointofsale
          - MYSQL_DB_NAME=ospos
          - MYSQL_HOST_NAME=mysql
          - PHP_TIMEZONE=UTC
          - XDEBUG_CONFIG=client_host=172.17.0.1
